For the complete documentation index, see llms.txt. This page is also available as Markdown.

Support Messages

List support messages for document

OAuth: This endpoint requires one of the following scopes: discussion:manage, discussion:read or discussion:write.

List Support Messages

get
Required scopes
This endpoint requires the following scopes:
Authorizations
OAuth2authorizationCodeRequired

OAuth2 Bearer token authentication

Authorization URL: Token URL: Refresh URL:
Path parameters
project_idstringRequired

Project ID

document_idstringRequired

Document ID

Responses
200

Lists support Messages

application/json
get/v1/clients/projects/{project_id}/documents/{document_id}/support_messages
GET /v1/clients/projects/{project_id}/documents/{document_id}/support_messages HTTP/1.1
Host: api.textmaster.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "support_messages": [
    {
      "content": "Hey, we need a small fix there",
      "message": "Hey, we need a small fix there",
      "author_id": "61698af88b81926d91c0f50e",
      "written_by_you": true,
      "written_by_author": false,
      "author_ref": "C-980E-FM",
      "created_at": {
        "day": 15,
        "month": 10,
        "year": 2021,
        "full": "2021-10-15 14:06:50 UTC"
      }
    },
    {
      "content": "done",
      "message": "done",
      "author_id": "61698afa8b81926d91c0f58e",
      "written_by_you": false,
      "written_by_author": true,
      "author_ref": "A-988E-FM",
      "created_at": {
        "day": 15,
        "month": 10,
        "year": 2021,
        "full": "2021-10-15 14:06:50 UTC"
      }
    }
  ]
}

Code samples

Create a support message

Creates a support message for given a document in_review, or creates a reply to an existing message from the author when the document is in_progress.

OAuth: This endpoint requires one of the following scopes: discussion:manage or discussion:write.

Create a Support Message

post
Required scopes
This endpoint requires the following scopes:
Authorizations
OAuth2authorizationCodeRequired

OAuth2 Bearer token authentication

Authorization URL: Token URL: Refresh URL:
Path parameters
project_idstringRequired

Project ID

document_idstringRequired

Document ID

Body
revision_requestbooleanOptional

Only used when document status in 'in_review'. If 'true' (default), this support message is considered a revision request and the document is transitioned back to the 'incomplete' status so that the author can continue working on it.

Responses
200

Lists support Messages

application/json
contentstringRequired
messagestringRequired
author_idstringRequired
written_by_youbooleanRequired
written_by_authorbooleanRequired
author_refstringRequired
post/v1/clients/projects/{project_id}/documents/{document_id}/support_messages
POST /v1/clients/projects/{project_id}/documents/{document_id}/support_messages HTTP/1.1
Host: api.textmaster.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 62

{
  "support_message": {
    "message": "text"
  },
  "revision_request": true
}
{
  "content": "we need a fix here",
  "message": "we need a fix here",
  "author_id": "61698afa8b81926d91c0f5a2",
  "written_by_you": true,
  "written_by_author": false,
  "author_ref": "C-98A2-FM",
  "created_at": {
    "day": 15,
    "month": 10,
    "year": 2021,
    "full": "2021-10-15 14:06:52 UTC"
  }
}

Code samples

Last updated

Was this helpful?